#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	AutoXS
%define	pnam	Header
Summary:	AutoXS::Header - Container for the AutoXS header files
Summary(pl.UTF-8):	AutoXS::Header - pojemnik na pliki nagłówkowe AutoXS
Name:		perl-AutoXS-Header
Version:	1.02
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bfed85ce503f6a2222b6ddd5cf7c41bc
URL:		http://search.cpan.org/dist/AutoXS-Header/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a simple container for the newest version of the AutoXS
header file AutoXS.h.

%description -l pl.UTF-8
Moduł ten jest prostym pojemnikiem na najnowsze wersje plików
nagłówkowych AutoXS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/AutoXS
%{perl_vendorlib}/AutoXS/*.pm
%{_mandir}/man3/*
%changelog
* Tue Mar 10 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-AutoXS-Header.git;a=log;h=master

* Tue Sep 29 2009 amateja <amateja@pld-linux.org> c6ad17c
- added missing %dir in %files section
- release 2

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 2695d10
- initial

